#include <gtk/gtk.h>

GdkPixbuf *pixbuf1;
GdkPixbuf *pixbuf_icon1;

GtkWidget *window;
GtkWidget *drawing_area;
GtkWidget *event_box;

#define WIDTH	480
#define HEIGHT  272	

static void expose_cb(GtkWidget *widget, GdkEventExpose *event)
{
	gdk_pixbuf_composite(pixbuf_icon1, pixbuf1, 
			0, 0, 
			480, 272,
			100.0, 100.0,
			1.0, 1.0,
			GDK_INTERP_NEAREST,
			255);

	gdk_draw_pixbuf(GDK_DRAWABLE(widget->window), widget->style->fg_gc[GTK_STATE_NORMAL],
			pixbuf1,
			0, 0,
			0, 0,
			WIDTH, HEIGHT,
			GDK_RGB_DITHER_NONE,
			0, 0);

	return;
}

int main(int argc, char **argv)
{
	gtk_init(&argc, &argv);

	event_box = gtk_event_box_new();
	drawing_area = gtk_drawing_area_new();
	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_widget_set_size_request(window, WIDTH, HEIGHT);

	gtk_container_add(event_box, drawing_area);
	gtk_container_add(window, event_box);
	gtk_widget_show_all(window);

	pixbuf_icon1 = gdk_pixbuf_new_from_file("icon2.png", NULL);
	pixbuf1 = gdk_pixbuf_new_from_file("playing.png", NULL);

	g_signal_connect(drawing_area, "expose_event", 
			G_CALLBACK(expose_cb), NULL);

	gtk_main();

	return 0;
}

